﻿@model Prep.Models.TestDifficulties

@{
    ViewBag.Title = "Add Difficulty Level";
}
@{
    Layout = null;
}

<link href="~/Content/AdminPanel.css" rel="stylesheet" />
<title>Add Difficulty Level</title>

<h2>Add Difficulty Level</h2>

<script src="/Scripts/jquery-1.10.2.js"></script>
<script src="~/Scripts/jquery.validate.min.js"></script>
<script src="~/Scripts/jquery.validate.unobtrusive.js"></script>
<script src="~/CustomJS/TestDifficultyLevel.js"></script>
@if (TempData["Message"] != null)
{
    <script type="text/javascript">
        window.onload = function () {

            alert("@TempData["Message"]");
        };
    </script>
}
@Html.Partial("~/Views/Shared/_AdminMenu.cshtml")

@using (Html.BeginForm("AddDifficultyLevel", "Admin", FormMethod.Post, new { enctype = "multipart/form-data" })) 
{
    @Html.AntiForgeryToken()
    <input id="hdnDiffLevelId" type="hidden" value="" name="hiddens" />

    <div class="center">
        <hr />
        @*@Html.ValidationSummary(true, "", new { @class = "text-danger" })
        <div class="form-group">
            @Html.LabelFor(model => model.TestDifficultyId, htmlAttributes: new { @class = "control-label col-md-2" })
            <div class="col-md-10">
                @Html.EditorFor(model => model.TestDifficultyId, new { htmlAttributes = new { @class = "form-control" } })
                @Html.ValidationMessageFor(model => model.TestDifficultyId, "", new { @class = "text-danger" })
            </div>
        </div>*@

        <div class="form-group">
            Difficulty Name
            <div class="col-md-10">
                @Html.EditorFor(model => model.TestDifficultyName, new { htmlAttributes = new { @class = "FormInput" } })
                @Html.ValidationMessageFor(model => model.TestDifficultyName, "", new { @class = "text-danger" })
            </div>
        </div>

        <div class="form-group">
            <div class="col-md-offset-2 col-md-10">
                <input type="submit" value="Create" class="save-button" onclick="return validateForm()" />
            </div>
        </div>
    </div>
}


@section Scripts {
    @Scripts.Render("~/bundles/jqueryval")
}